Bug 441446 - double-count received packets
Summary: double-count received packets
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tcpdump   
(Show other bugs)
Version: 5.1
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 391501
TreeView+ depends on / blocked
 
Reported: 2008-04-08 06:07 UTC by Tetsuo Takata
Modified: 2018-10-19 20:18 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 21:09:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
don't double-count received packets (4.88 KB, patch)
2008-04-16 12:02 UTC, Miroslav Lichvar
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0114 normal SHIPPED_LIVE tcpdump bug fix update 2009-01-20 16:04:45 UTC

Description Tetsuo Takata 2008-04-08 06:07:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; ja; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13

Description of problem:
When the tcpdump command execution completes, it indicates the value of captured, filtered and dropped.
If no packets drops, the value of captured and filtered may be equal.

But the value of filtered is always double as many as captured in tcpdump-3.9.4-11.el5.

I think this is the bug of libpcap-0.9.4 in tcpdump-3.9.4 and fixed in the libpcap-0.9.5.

Please see the changelog of the tcpdump community.
--- quoted from http://www.tcpdump.org/libpcap-changes.txt ---
	Don't double-count received packets on Linux systems that 
	 support the PACKET_STATISTICS getsockopt() argument on 
	 PF_PACKET sockets.
--------------------------------------------------------------

Version-Release number of selected component (if applicable):
tcpdump-3.9.4-11.el5

How reproducible:
Always


Steps to Reproduce:
1. execute tcpdump commands.


Actual Results:
# tcpdump
<snip>
736 packets captured
1473 packets received by filter
0 packets dropped by kernel

Expected Results:
# tcpdump
<snip>
736 packets captured
736 packets received by filter
0 packets dropped by kernel


Additional info:

Comment 2 Miroslav Lichvar 2008-04-16 12:02:49 UTC
Created attachment 302587 [details]
don't double-count received packets

Comment 22 RHEL Product and Program Management 2008-06-02 20:09:25 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 26 errata-xmlrpc 2009-01-20 21:09:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0114.html


Note You need to log in before you can comment on or make changes to this bug.